POST api/SpotterIntegration/MergeEmployeeSync

Request Information

URI Parameters

None.

Body Parameters

EmployeeMergeModel
NameDescriptionTypeAdditional information
CorrectVendorEmployeeId

string

None.

DOB

date

None.

Gender

integer

None.

IncorrectVendorEmployeeIds

Collection of string

None.

CorporationCode

string

None.

IncidentCaseIds

Collection of integer

None.

MSMCaseIds

Collection of integer

None.

Request Formats

application/json, text/json

Sample:
{
  "CorrectVendorEmployeeId": "sample string 1",
  "DOB": "2026-05-08T19:58:59.4780098-07:00",
  "Gender": 1,
  "IncorrectVendorEmployeeIds": [
    "sample string 1",
    "sample string 2"
  ],
  "CorporationCode": "sample string 2",
  "IncidentCaseIds": [
    1,
    2
  ],
  "MSMCaseIds": [
    1,
    2
  ]
}

application/xml, text/xml

Sample:
<EmployeeMergeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL._SpotterIntegration.Model">
  <CorporationCode>sample string 2</CorporationCode>
  <CorrectVendorEmployeeId>sample string 1</CorrectVendorEmployeeId>
  <DOB>2026-05-08T19:58:59.4780098-07:00</DOB>
  <Gender>1</Gender>
  <IncidentCaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:long>1</d2p1:long>
    <d2p1:long>2</d2p1:long>
  </IncidentCaseIds>
  <IncorrectVendorEmployeeIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </IncorrectVendorEmployeeIds>
  <MSMCaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:long>1</d2p1:long>
    <d2p1:long>2</d2p1:long>
  </MSMCaseIds>
</EmployeeMergeModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfString
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

string

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": "sample string 3",
  "totalCount": 4
}

application/xml, text/xml

Sample:
<AsapResponseOfstring xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common">
  <isSuccess>true</isSuccess>
  <jsonObj>sample string 3</jsonObj>
  <message>sample string 2</message>
  <totalCount>4</totalCount>
</AsapResponseOfstring>